#ifndef MAINWND_H
#define MAINWND_H

#include <QtGui>
#include <opencv/cv.h>
#include <opencv/highgui.h>

class MainWnd : public QMainWindow {
    Q_OBJECT

public:
    MainWnd( QMainWindow * parent = 0, Qt::WindowFlags flags = 0 );
    void putImage( IplImage * );
    ~MainWnd();

public slots:
    void setGaussSzX( int val );
    void setGaussSzY( int val );
    void setGaussSig1( int val );
    void setGaussSig2( int val );

    void setCannyTr1( int val );
    void setCannyTr2( int val );

    void setActivePic ( int index );

private:
    QWidget *central, *sidebar;
    QHBoxLayout *layCentral;
    QVBoxLayout *laySidebar, *layGrpGauss, *layGrpCanny;

    QGroupBox *grpGaussian, *grpCanny;
    QSlider *gaussSizeX, *gaussSizeY, *gaussSigma1, *gaussSigma2, *cannyTrsh1, *cannyTrsh2;
    QLabel *laStatus, *laNumContours;

    QComboBox *cbPic;
    QLabel *laPic;
    QImage *imPic;

    CvCapture *cam;
    IplImage *camPic;

    qint8 gaussSzX, gaussSzY, activePic;
    qreal gaussSig1, gaussSig2, cannyTr1, cannyTr2;

protected:
    void timerEvent(QTimerEvent*);

};

#endif // MAINWND_H
